<?
include_once 'sys/inc/start.php';
include_once 'sys/inc/compress.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
include_once 'sys/inc/user.php';


if (isset($user))$ank['id']=$user['id'];
if (isset($_GET['id']))$ank['id']=intval($_GET['id']);


if ($ank['id']==0)
{
$ank=get_user($ank['id']);
$set['title']=$ank['nick'].' - анкета '; // заголовок страницы
include_once 'sys/inc/thead.php';
title();
aut();
echo "<span class=\"status\">$ank[group_name]</span><br />\n";

if ($ank['ank_o_sebe']!=NULL)echo "<span class=\"ank_n\">О себе:</span> <span class=\"ank_d\">$ank[ank_o_sebe]</span><br />\n";




if(isset($_SESSION['refer']) && $_SESSION['refer']!=NULL && otkuda($_SESSION['refer']))
echo "<div class='foot'>&laquo;<a href='$_SESSION[refer]'>".otkuda($_SESSION['refer'])."</a><br />\n</div>\n";

include_once 'sys/inc/tfoot.php';
exit;
}

$ank=get_user($ank['id']);
if(!$ank){header("Location: /index.php?".SID);exit;}








$ank['rating']=intval(@mysql_result(mysql_query("SELECT SUM(`rating`) FROM `user_voice2` WHERE `id_kont` = '$ank[id]'"),0));
$set['title']=$ank['nick'].' - Автопортрет'; // заголовок страницы
include_once 'sys/inc/thead.php';
title();


if ((!isset($_SESSION['refer']) || $_SESSION['refer']==NULL)
&& isset($_SERVER['HTTP_REFERER']) && $_SERVER['HTTP_REFERER']!=NULL &&
!ereg('info\.php',$_SERVER['HTTP_REFERER']))
$_SESSION['refer']=str_replace('&','&amp;',ereg_replace('^http://[^/]*/','/', $_SERVER['HTTP_REFERER']));


if (isset($_POST['rating']) && isset($user)  && $user['id']!=$ank['id'] && $user['balls']>=50 && mysql_result(mysql_query("SELECT SUM(`rating`) FROM `user_voice2` WHERE `id_kont` = '$user[id]'"),0)>=0)
{
$new_r=min(max(@intval($_POST['rating']),-2),2);
mysql_query("DELETE FROM `user_voice2` WHERE `id_user` = '$user[id]' AND `id_kont` = '$ank[id]' LIMIT 1");

if ($new_r)
mysql_query("INSERT INTO `user_voice2` (`rating`, `id_user`, `id_kont`) VALUES ('$new_r','$user[id]','$ank[id]')");
$ank['rating']=intval(mysql_result(mysql_query("SELECT SUM(`rating`) FROM `user_voice2` WHERE `id_kont` = '$ank[id]'"),0));
mysql_query("UPDATE `user` SET `rating` = '$ank[rating]' WHERE `id` = '$ank[id]' LIMIT 1");

if ($new_r>0)
mysql_query("INSERT INTO `jurnal` (`id_user`, `id_kont`, `msg`, `time`) values('0', '$ank[id]', '$user[nick] оставил положительный отзыв в [url=/who_rating.php]Вашей анкете[/url]', '$time')");
if ($new_r<0)
mysql_query("INSERT INTO `jurnal` (`id_user`, `id_kont`, `msg`, `time`) values('0', '$ank[id]', '$user[nick] оставил негативный отзыв в [url=/who_rating.php]Вашей анкете[/url]', '$time')");
if ($new_r==0)
mysql_query("INSERT INTO `jurnal` (`id_user`, `id_kont`, `msg`, `time`) values('0', '$ank[id]', '$user[nick] оставил нейтральный отзыв в [url=/who_rating.php]Вашей анкете[/url]', '$time')");



msg('Вы успешно проголосовали за анкету');
}
if (isset($user) && $user['id']==$ank['id'])echo "<div class='aut'><img src='/style/icons/karandash.gif' alt='' class='icon'/> <a href=\"/anketa.php\">Заполнить автопортрет</a></div>\n";
echo "<form method='post' enctype='multipart/form-data' action='?$passgen'>\n";
echo "<table class='post'>\n";
echo "   <tr>\n";
echo "  <td class='icon48' rowspan='2'>\n";
avatar($ank['id']);
echo "  </td>\n";
echo "  <td class='anput'>\n";
if ($ank['ank_d_r']!=NULL && $ank['ank_m_r']!=NULL && $ank['ank_g_r']!=NULL){
if ($ank['ank_m_r']==1)$ank['mes']='Января';
elseif ($ank['ank_m_r']==2)$ank['mes']='Февраля';
elseif ($ank['ank_m_r']==3)$ank['mes']='Марта';
elseif ($ank['ank_m_r']==4)$ank['mes']='Апреля';
elseif ($ank['ank_m_r']==5)$ank['mes']='Мая';
elseif ($ank['ank_m_r']==6)$ank['mes']='Июня';
elseif ($ank['ank_m_r']==7)$ank['mes']='Июля';
elseif ($ank['ank_m_r']==8)$ank['mes']='Августа';
elseif ($ank['ank_m_r']==9)$ank['mes']='Сентября';
elseif ($ank['ank_m_r']==10)$ank['mes']='Октября';
elseif ($ank['ank_m_r']==11)$ank['mes']='Ноября';
else $ank['mes']='Декабря';
echo "<b><font color='green'>Дата рождения:</font></b><br/>$ank[ank_d_r] $ank[mes] $ank[ank_g_r]г.<br />\n";
$ank['ank_age']=date("Y")-$ank['ank_g_r'];
if (date("n")<$ank['ank_m_r'])$ank['ank_age']=$ank['ank_age']-1;
elseif (date("n")==$ank['ank_m_r']&& date("j")<$ank['ank_d_r'])$ank['ank_age']=$ank['ank_age']-1;
echo "$ank[ank_age] лет/года<br />\n";
}
elseif($ank['ank_d_r']!=NULL && $ank['ank_m_r']!=NULL)
{
if ($ank['ank_m_r']==1)$ank['mes']='Января';
elseif ($ank['ank_m_r']==2)$ank['mes']='Февраля';
elseif ($ank['ank_m_r']==3)$ank['mes']='Марта';
elseif ($ank['ank_m_r']==4)$ank['mes']='Апреля';
elseif ($ank['ank_m_r']==5)$ank['mes']='Мая';
elseif ($ank['ank_m_r']==6)$ank['mes']='Июня';
elseif ($ank['ank_m_r']==7)$ank['mes']='Июля';
elseif ($ank['ank_m_r']==8)$ank['mes']='Августа';
elseif ($ank['ank_m_r']==9)$ank['mes']='Сентября';
elseif ($ank['ank_m_r']==10)$ank['mes']='Октября';
elseif ($ank['ank_m_r']==11)$ank['mes']='Ноября';
else $ank['mes']='Декабря';
echo "<span class=\"ank_n\">День рождения:</span> <span class=\"ank_d\">$ank[ank_d_r] $ank[mes]</span><br />\n";
}
else
echo "<span class=\"ank_n\">Дата рождения</span>: Не заполнено<br />\n";
echo "   </tr>\n";
echo "   <tr>\n";
echo "  <td class='anput'>\n";
if ($ank['pol']==1)
echo "<span class=\"ank_n\">Пол</span>: Мужской<br />\n";
else
echo "<span class=\"ank_n\">Пол</span>: Женский<br />\n";
echo "</table>\n";
echo "</form>\n";
//////////////вставка данных автопортрета
echo "<div class='str'>";
if ($ank['obraz']!=NULL)echo "<img src='/style/icons/karandash.gif' alt='' class='icon'/> <font color='green'>Ваше образование,институт:</font><br/>$ank[obraz]\n";
else
echo "<img src='/style/icons/pen.gif' alt='' class='icon'/> Ваше образование,институт:<br/>: Не заполнено\n";
echo "</div>\n";
echo "<div class='str'>";
if ($ank['ispol']!=NULL)echo "<img src='/style/icons/karandash.gif' alt='' class='icon'/> <font color='green'>Ваш любимый музыкальный исполнитель:</font><br/>$ank[ispol]\n";
else
echo "<img src='/style/icons/pen.gif' alt='' class='icon'/> Ваш любимый музыкальный исполнитель:<br/>Не заполнено\n";
echo "</div>\n";
echo "<div class='str'>";
if ($ank['otkryt']!=NULL)echo "<img src='/style/icons/karandash.gif' alt='' class='icon'/> <font color='green'>Самое поразительное для вас открытие:</font><br/>$ank[otkryt]\n";
else
echo "<img src='/style/icons/pen.gif' alt='' class='icon'/> Самое поразительное для вас открытие:<br/>Не заполнено\n";
echo "</div>\n";
echo "<div class='str'>";
if ($ank['sovet']!=NULL)echo "<img src='/style/icons/karandash.gif' alt='' class='icon'/> <font color='green'>Самый ценный совет, который вы получили в жизни:</font><br/>$ank[sovet]\n";
else
echo "<img src='/style/icons/pen.gif' alt='' class='icon'/> Самый ценный совет, который вы получили в жизни:<br/>Не заполнено\n";
echo "</div>\n";
echo "<div class='str'>";
if ($ank['kach']!=NULL)echo "<img src='/style/icons/karandash.gif' alt='' class='icon'/> <font color='green'>Какое качество вы особенно цените в человеке?</font><br/>$ank[kach]\n";
else
echo "<img src='/style/icons/pen.gif' alt='' class='icon'/> Какое качество вы особенно цените в человеке?<br/>Не заполнено\n";
echo "</div>\n";
echo "<div class='str'>";
if ($ank['cell']!=NULL)echo "<img src='/style/icons/karandash.gif' alt='' class='icon'/> <font color='green'>Какую цель ставите перед собой сейчас?</font><br/>$ank[cell]\n";
else
echo "<img src='/style/icons/pen.gif' alt='' class='icon'/> Какую цель ставите перед собой сейчас?<br/>Не заполнено\n";
echo "</div>\n";
echo "<div class='str'>";
if ($ank['bludo']!=NULL)echo "<img src='/style/icons/karandash.gif' alt='' class='icon'/> <font color='green'>Любимое блюдо?</font><br/>$ank[bludo]\n";
else
echo "<img src='/style/icons/pen.gif' alt='' class='icon'/> Любимое блюдо?<br/>Не заполнено\n";
echo "</div>\n";
echo "<div class='str'>";
if ($ank['lgor']!=NULL)echo "<img src='/style/icons/karandash.gif' alt='' class='icon'/> <font color='green'>Ваш любимый город:</font><br/>$ank[lgor]\n";
else
echo "<img src='/style/icons/pen.gif' alt='' class='icon'/> Ваш любимый город:<br/>Не заполнено\n";
echo "</div>\n";
echo "<div class='str'>";
if ($ank['deti']!=NULL)echo "<img src='/style/icons/karandash.gif' alt='' class='icon'/> <font color='green'>Хотите ли вы иметь детей?</font><br/>$ank[deti]\n";
else
echo "<img src='/style/icons/pen.gif' alt='' class='icon'/> Хотите ли вы иметь детей?<br/>Не заполнено\n";
echo "</div>\n";
echo "<div class='str'>";
if ($ank['certa']!=NULL)echo "<img src='/style/icons/karandash.gif' alt='' class='icon'/> <font color='green'>Главная черта вашего характера:</font><br/>$ank[certa]\n";
else
echo "<img src='/style/icons/pen.gif' alt='' class='icon'/> Главная черта вашего характера:<br/>Не заполнено\n";
echo "</div>\n";
echo "<div class='str'>";
if ($ank['zanat']!=NULL)echo "<img src='/style/icons/karandash.gif' alt='' class='icon'/> <font color='green'>Ваше любимое занятие?</font><br/>$ank[zanat]\n";
else
echo "<img src='/style/icons/pen.gif' alt='' class='icon'/> Ваше любимое занятие?<br/>Не заполнено\n";
echo "</div>\n";
echo "<img src='/style/back.gif' alt='' class='icon'/>\n";
echo "<a href='info.php?id=$ank[id]'>Назад ($ank[nick])</a><br />\n";
//////////////конец вставки
include_once 'sys/inc/tfoot.php';
?>